/* Core/Blitter/Blitter.c
Provides functions for the copying of memory

19/Feb/2000 ned
*/

#include "blitter.h"

#ifdef __cplusplus
extern "C" {
#endif

static HALZeroPage *_zeropage=0;

extern HALError *Blitter_Initialise(HALZeroPage *zp)
{
	_zeropage=zp;
	return 0;
}

extern HALError *Blitter_Finalise()
{
	_zeropage=0;
	return 0;
}

extern HALError *Blitter_BeginCopy(u32 flags, u8 *srcstart, u8 *srcend, u8 *dst)
{
	/* Now we have a list of agents who will do the copy. Some agents will only
	do certain types of copy eg; MEMORY->PCI